[ARVADOS] updated: 2.1.0-130-g12be280ef

Git user git at public.arvados.org
Mon Nov 23 19:50:04 UTC 2020


Summary of changes:
 build/run-build-docker-jobs-image.sh | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

       via  12be280ef9de36f154d11933ef4d62345017d6f5 (commit)
      from  c85b48eba118a277a9b2a34a1dbc9c05001a6c28 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit 12be280ef9de36f154d11933ef4d62345017d6f5
Author: Ward Vandewege <ward at curii.com>
Date:   Mon Nov 23 14:48:35 2020 -0500

    Fix OS package iteration number in run-build-docker-jobs-image.sh
    
    refs #17012
    
    Arvados-DCO-1.1-Signed-off-by: Ward Vandewege <ward at curii.com>

diff --git a/build/run-build-docker-jobs-image.sh b/build/run-build-docker-jobs-image.sh
index 94a05671a..075771821 100755
--- a/build/run-build-docker-jobs-image.sh
+++ b/build/run-build-docker-jobs-image.sh
@@ -143,14 +143,13 @@ fi
 # package suffixes (.dev/rc)
 calculate_python_sdk_cwl_package_versions
 
-echo cwl_runner_version $cwl_runner_version python_sdk_version $python_sdk_version
-
-if [[ "${python_sdk_version}" != "${ARVADOS_BUILDING_VERSION}" ]]; then
-	python_sdk_version="${python_sdk_version}-1"
-else
-	python_sdk_version="${ARVADOS_BUILDING_VERSION}-${ARVADOS_BUILDING_ITERATION}"
+if [[ -z "$cwl_runner_version" ]]; then
+  echo "ERROR: cwl_runner_version is empty";
+  exit 1
 fi
 
+echo cwl_runner_version $cwl_runner_version python_sdk_version $python_sdk_version
+
 # For development and release candidate packages, the OS package has a "~dev"
 # or "~rc" suffix, but Python requires a ".dev" or "rc" suffix.
 #
@@ -163,15 +162,16 @@ fi
 python_sdk_version_os=$(echo -n $python_sdk_version | sed s/.dev/~dev/g | sed s/rc/~rc/g)
 cwl_runner_version_os=$(echo -n $cwl_runner_version | sed s/.dev/~dev/g | sed s/rc/~rc/g)
 
-if [[ -z "$cwl_runner_version" ]]; then
-  echo "ERROR: cwl_runner_version is empty";
-  exit 1
+if [[ "${python_sdk_version}" != "${ARVADOS_BUILDING_VERSION}" ]]; then
+	python_sdk_version_os="${python_sdk_version_os}-1"
+else
+	python_sdk_version_os="${ARVADOS_BUILDING_VERSION}-${ARVADOS_BUILDING_ITERATION}"
 fi
 
-if [[ "${cwl_runner_version}" != "${ARVADOS_BUILDING_VERSION}" ]]; then
-	cwl_runner_version="${cwl_runner_version}-1"
+if [[ "${cwl_runner_version_os}" != "${ARVADOS_BUILDING_VERSION}" ]]; then
+	cwl_runner_version_os="${cwl_runner_version_os}-1"
 else
-	cwl_runner_version="${ARVADOS_BUILDING_VERSION}-${ARVADOS_BUILDING_ITERATION}"
+	cwl_runner_version_os="${ARVADOS_BUILDING_VERSION}-${ARVADOS_BUILDING_ITERATION}"
 fi
 
 cd docker/jobs

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list